package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 自动调配参数
 * @Author: CaoZixuan
 * @Date: 2023-08-23
 */
public class AutoAllocationParam {
    @ApiModelProperty("服务单元Id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "缺少服务单元")
    @Range(min = 1L, message = "缺少服务单元")
    private Long serviceUnitId;

    @ApiModelProperty("派单id集合")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotEmpty(message = "缺少派单集合")
    private List<Long> crmIdList;

    public Long getServiceUnitId() {
        return serviceUnitId;
    }

    public void setServiceUnitId(Long serviceUnitId) {
        this.serviceUnitId = serviceUnitId;
    }

    public List<Long> getCrmIdList() {
        return crmIdList;
    }

    public void setCrmIdList(List<Long> crmIdList) {
        this.crmIdList = crmIdList;
    }
}
